 #include <stdio.h>
 
/*
 * Bartosz "WiedMAC" Bednarczyk
 * Liceum Oglnoksztacce im. Wadysawa Broniewskiego w Strzelcach Opolskich
 * Sprawdzanie parzystoci symbolu newtona - twierdzenie Lagrange'a ( C )
 * www.algorytm.org
 */
 
long long Lagrange( long long n)        // Twierdzenie Lagrange'a
{
        long long W = 2, Wyk =0;
        
        while( n / W >= 1 )     // Dopki N / W jest wiksze rwne 1
        {
                Wyk += n / W;   // Do wykadnika dodaj iloraz n i W
                W *= 2;         // Pom W
        }
        
        return Wyk;     // Zwr wykadnik
} 
 
int main(void) 
{
        long long N, K;
        
        scanf("%lld %lld", &N, &K );
 
        if( K > N) puts("Ta liczba jest parzysta");
        else
        {
                if( Lagrange(N) > (Lagrange( K )+Lagrange(N-K)) ) puts("Ta liczba jest parzysta");
                else puts("Ta liczba nie jest parzysta");
        }        
        
        return 0;
}